diff --git a/i386/boot2/modules.c b/i386/boot2/modules.c
index 66922aa..4e3b1a7 100644
--- a/i386/boot2/modules.c
+++ b/i386/boot2/modules.c
@@ -724,7 +724,7 @@ void rebase_macho(void* base, char* rebase_stream, UInt32 size)
 	}
 }
 
-inline void rebase_location(UInt32* location, char* base, int type)
+void rebase_location(UInt32* location, char* base, int type)
 {	
 	switch(type)
 	{
@@ -944,7 +944,7 @@ void bind_macho(void* base, UInt8* bind_stream, UInt32 size)
 }
                  
 
-inline void bind_location(UInt32* location, char* value, UInt32 addend, int type)
+void bind_location(UInt32* location, char* value, UInt32 addend, int type)
 {	
 	// do actual update
 	char* newValue = value + addend;
diff --git a/i386/boot2/modules.h b/i386/boot2/modules.h
index d1da6c9..2871396 100644
--- a/i386/boot2/modules.h
+++ b/i386/boot2/modules.h
@@ -95,9 +95,9 @@ unsigned int	handle_symtable(UInt32 base,
 							 long long(*symbol_handler)(char*, long long, char),
 							 char is64);
 void			rebase_macho(void* base, char* rebase_stream, UInt32 size);
-inline void		rebase_location(UInt32* location, char* base, int type);
+void			rebase_location(UInt32* location, char* base, int type);
 void			bind_macho(void* base, UInt8* bind_stream, UInt32 size);
-inline void		bind_location(UInt32* location, char* value, UInt32 addend, int type);
+void			bind_location(UInt32* location, char* value, UInt32 addend, int type);
 
 
 
